p{
  /* color: rgba(0,0,0,0); */
  font-family:
  serif;
}
#body{
  display:
  grid;
  grid-template-rows: max-content auto;
  height: 100vh;
  background-color: #2c2c2c;
  background-color: #1e1e1e;
}
#header{
  padding:20px;
  display:
  grid;
  justify-content:
  start;
  background-color: #161616;
  border-radius: 5px;
  margin-left: 5px;
  margin-right: 5px;
}

#galleryBanner{
  color: #e91e63d9;
  color: #5894b1;
  color: orange;padding:10px;
  justify-content:
  center;
  align-content:
  center;
  display:
  grid;
  font-size:
  x-large;
  /* margin-top:10px; */
  margin-left: 5px;
  margin-right: 5px;
  /* border-radius: 5px; */
}
#banner{
  font-size: 22px;
  font-weight:
  bold;
  display:
  grid;
  grid-column-gap:15px;
  grid-template-columns: repeat(7, max-content);
  align-content:
  center;
  justify-content: center;
  /* grid-auto-columns: max-content; */
}

#links{
  position:absolute;
  right:20px;
  align-self: center;
  display:grid;
  g
}

.link{
  text-decoration:
  none;
  /* color:
  black; */
  font-size: 22px;
  color: white;
}

.link:hover{
  text-decoration: none !important;
}

.seperator{
  border-right: 1px solid #ffc107;
}

.externalLink{
  cursor:
  pointer;
  color: white;
}

.hidden{
  display:none !important;
}

#home{
  display:
  grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  /* grid-template-rows: 1fr; */
  grid-auto-rows: max-content;
  /* padding:10px; */
  grid-column-gap: 30px;
  grid-row-gap: -10px;
  /* background-color: #2c2c2c; */
  /* color: white; */
  background-image: url("../images/background.jpg");
  background-size: cover;
  /* background-repeat: repeat; */
  /* height: 100% !important; */
  position: relative;
}

#codeDiv {

}

.highlighted{
  color: orange !important;
}

.navButton{
  cursor:
  pointer;
  color: white;
}

.navButton:hover{
  color: #ffcc6e;
}

#codeImage{
  width:100%;
  height:100%;
}

#descriptionsHolder{
  display:
  grid;
  grid-auto-rows:
  max-content;
  grid-row-gap:15px;
  padding: 10px;
  justify-items:
  center;
  /* align-items: center; */
  /* align-content: center; */
  /* justify-content: center; */
}



.imageHolder{
  padding:5px;
  cursor:
  pointer;
  display:
  grid;
  grid-template-rows: 1fr;
  /* transition: all 1s ease-in; */
  /* width:32vw; */
  border-radius: 30px;
}

.expandedImageHolder{
  grid-column-end: span 2 !important;
  grid-column-start: -4;
  width:65vw !important;
}

.image{
  position:
  relative;
  width:100%;
  height:100%;
  border-radius: 30px;
}

#gallery {
  display:
  grid;
  /* background-color: #2c2c2c; */
  /* grid-template-columns:1fr 1fr 1fr; */
  grid-template-columns: repeat(auto-fit, minmax(470px, 1fr));
  padding-top: 10px;
  padding-bottom: 10px;
  grid-row-gap: 10px;
  grid-gap: 20px;
  background-image: url(../images/background.jpg);
  background-size: cover;
  /* justify-content: space-around; */
  /* align-content: space-around; */
  padding-left: 20px;
  padding-right: 20px;
}

.description{
  display:none;
  justify-content: center;
}

.descriptionShown{
  display:grid !important;
}

.visibleText{
  color: white !important;
  text-shadow: 1px 1px black;
}

div.visibleText {
  color:orange !important;
}

.subtext{
  font-weight:
  bold;
  justify-self:
  center;
  align-self:
  center;
  color: #ff9800e6;
  color: #cbcbcb;
  display: grid;
  grid-template-columns: 1fr;
}

#p1{
  transition: all 0.2s;
  font-weight: bold;
  font-size: 3em !important;
  justify-self: center;
  /* text-decoration: underline; */
  line-height: 2;
}

#p2{
  transition: all 0.5s;
}

#p3{
  transition: all 0.8s;
}

#p4{
  transition: all 1.1s;
}

#p5{
  transition: all 1.4s;
}

#p1, #p2, #p3, #p4, #p5, #jobWanted {
  padding-left:30px;
  padding-right:30px;
  text-align: center;
}

#contactHeader{
  /* transition: all 1.7s; */
}

.homeParagraph{
  font-size: 28px !important;
  /* font-weight:
  bold; */
  font-family: serif;
  color:
  rgba(0,0,0,0);
  /* text-shadow: 0 0 BLACK; */
  /* text-shadow: 1px 1px black; */
  /* justify-content: center; */
  /* justify-items: center; */
  /* justify-self: center; */
  /* justify-self: center; */
}

#backdrop{
  display: none;
  position: fixed;
  top:0;
  left:0;
  right:0;
  bottom:0;
  background-color: rgba(0,0,0,0.8);
  grid-template-columns: 1fr;
  justify-content: center;
  /* grid-gap: 20px; */
  align-content: center;
}

#resumeBackdrop{
  display: none;
  position:
  absolute;
  top:0;
  left:0;
  right:0;
  bottom:0;
  background-color: rgba(0,0,0,0.8);
  grid-template-columns: 1fr;
  justify-content: center;
  /* grid-gap: 20px; */
  align-content: center;
}
#resumeIframe{
  position: fixed;

  width: 90vw;
  
  height: 90vh;
  
  justify-self: center;
  
  align-self: center;
  
  display: grid;
  
  grid-template-rows: max-content max-content 1fr;
  
  
  transition: ease all 0.8s;
  margin-top:0;
}
#tileDisplay{

top: 0px;

/* left: 20px; */

/* right: 20px; */

/* left: 20px; */

/* background-color: white; */

position: fixed;

width: 100vw;

height: 100vh;

justify-self: center;

align-self: center;

display: grid;

grid-template-rows: max-content max-content 1fr;

transition: ease all 0.8s;
margin-top:0;

padding: 50px;

border-radius: 10px;

overflow: auto;
}
#tileHeader{padding: 10px;background-color: #141414;display: grid;justify-content: end;font-size: 1.8em;color: #32ace3;color: orange;}
#tile{/* max-height: 50vh; */justify-content: center;justify-items: center;display: grid;/* overflow: hidden; */}
#tileDescription{
  color: white;
  font-size: large;
  padding: 10px;
  background-color: black;
  z-index: 99999 !important;
  overflow: auto;
  display: grid;
  grid-row-gap: 10px;
  /* align-items: start; */
  /* grid-template-rows: max-content max-content max-content; */
  grid-auto-rows: max-content;
  grid-template-columns: max-content 1fr;
  /* grid-template-columns: repeat(auto-fit, minmax(350px, 1fr)); */
  grid-column-gap: 20px;
  justify-content: start;
  justify-items: start;
  padding-top: 0px;
}

#tileYearAndSolo{

/* font-size: 1.2em; */

color: #f9ca85;

align-self: center;
}

#tileClass{

/* font-size: 1.2em; */

color: #f9ca85;

/* justify-content: center; */

/* justify-self: center; */

align-self: center;
}

#actualDescription{
  
grid-column-start: -1;
  
grid-column-end: 1;
}

#actualDescription p{
  padding:20px
;
  padding-left: 0px;
  color: #d5d5d5;
}

#closeButton{
  font-size: 34px;
  cursor:
  pointer;
  padding-right: 20px;
}

#tileBody{
  display:
  grid;
  /* grid-template-columns: 2fr 1fr; */
  /* grid-template-rows: 1fr 1fr; */
  /* align-items: center; */
  /* align-content: center; */
  /* grid-row-gap: 10px; */
  grid-column-gap: 10px;padding:20px;
  /* justify-content: center; */
  justify-items: center;
  background-color: rgb(0 0 0 / 60%);
  grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
  grid-row-gap: 15px;
}

.textHolder{
  display:
  none;
  position:
  absolute;
  background-color: rgba(255,255,255,0.9);
  z-index:99999;
  color: white;
  top:0;
  left:0;
  padding:10px;
  bottom:0;
  right:0;
  justify-content: center;
  /* grid-template-rows: max-content 1fr; */
  font-size: 2.0vw;
  font-weight: 700;
  border-radius: 30px;
  background-color: rgba(0,0,0,0.85);
  /* align-self: center; */
  align-items: center;
  /* align-content: center; */
}

.desriptiveParagraph{
  color: #ffcb6d !important;
  font-weight: bold !important;
  align-self: center !important;
}

.imageOverlay{
  position: relative;
  width: 100%;
  height: 100%;
  border-radius: 30px;
}

.textDetails{
  background-color: black;
    padding: 20px;
}

#tileImage{
  width: 100%;
  /* height: 50%; */
  position:
  relative;
}

#tileFooter{
  display:
  grid;
  justify-content: end;
  align-items:
  center;
  background-color: black;
  color: blue;
}

#tileTitle{
  color: #ff9800;
  /* color: orange; */
  font-size: 2.0vw;
  font-size: 1.8em;font-weight:600;
  display:
  grid;
  align-content:
  center;
  justify-content:
  center;
  padding:20px;
  background-color: black;
}

.hideTile{
  margin-top:200% !important;
}

#galleryHolder{
  transition: ease all 1s;
  margin-top:0;
  /* background-image: url(../images/background.jpg); */
  /* background-size: cover; */
}



#contactForm{
  margin-top: 100px;
}



#aboutme{
  display: grid;
  grid-auto-rows: max-content;
  grid-row-gap: 15px;
  padding: 10px;
  justify-items: center;
}

#contactHeader, #goalsHeader, #skillsHeader{
  font-weight: bold;
  font-size: 3em!important;
  justify-self: center;
  /* text-decoration: underline; */
  line-height: 2;
  /* color: #ff5722db; */
  text-decoration: double;
}
















.form-control {
  font-family: Ubuntu, Helvetica, Arial, sans-serif;
  font-size: 14px;
  height: inherit;
}
select.form-control  {
  height: 3em;
}
.form-check-label {
  font-weight: normal;
}
input[type="checkbox"], input[type=radio] {
    vertical-align: top;
    transform: scale(1.5);
    margin-right: 4px;
    margin-left: 4px;
}
.text-muted {
  color: #e8e8e8;
  filter: brightness(150%)
}
.btn {
  font-size: 1em;
}
.btn-primary {
  color: #ffffff;
  background-color: #337ab7;
  border-color: #ffffff;
  font-size: 1.75em;
  font-weight: bold;
}
.btn-primary.focus,
.btn-primary:focus,
.btn-primary:hover,
.btn-primary.active,
.btn-primary:active,
.btn-primary.active.focus,
.btn-primary.active:focus,
.btn-primary.active:hover,
.btn-primary:active.focus,
.btn-primary:active:focus,
.btn-primary:active:hover {
  color: #ffffff;
  background-color: #337ab7;
  border-color: #ffffff;
  filter: brightness(.80);
}
h1,.h1 {
  font-size: 3.33em;
  font-weight: bold;
}
h2,.h2 {
  font-size: 2.5em;
  font-weight: bold;
}
h3,.h3 {
  font-size: 1.95em;
}
h4,.h4 {
  font-size: 1.67em;
}
h5,.h5 {
  font-size: 1.38em;
}
h6,.h6 {
  font-size: 1.12em;
}


label{
  color:
  white;
  margin-bottom: 10px !important;
  font-size: 18px;
  color: #ffc760;
}

.tileDetailsHeader{
  /* text-align:
  center; */
  color: orange;
  font-size: 1.2em;
  /* color: orange; */
  align-self: center;
  /* padding: 0px; */
}

#myFormButton{
  padding: 15px;
  font-size: 18px;
  font-weight: bold;
}

.quote{
  font-style:italic;
}